Bug 7997 - Gnome font selection dialog hang
Gnome font selection dialog hang
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: gnome-libs (Show other bugs)
6.1
All Linux
medium Severity high
: ---
: ---
Assigned To: Owen Taylor
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1999-12-25 22:24 EST by randolph
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-02-04 16:48:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description randolph 1999-12-25 22:24:37 EST
On my system, the gnome font selection dialog sometimes hangs.  It seems to

depend on the font selected.  I've reproduced the problem with gfontsel.  I

select the font "fixed" from foundry "misc", then click the font

information tab and--le voila!  The problem keeps me from using xchat as

well.  A sweep with "google" shows a number of bugs that appear to be related.



My gnome-libs version is gnome-libs-1.0.53-1



I've tried this with gdb and two different versions of gfontsel, stopping

the program each time with gdb.  I generated the following "where" outputs:



-- test one --



#0  0x403ab12d in g_hook_insert_sorted () from /usr/lib/libglib-1.2.so.0

#1

 0x403ac642 in g_source_add () from /usr/lib/libglib-1.2.so.0

#2

0x403adc12 in g_idle_add_full () from /usr/lib/libglib-1.2.so.0

#3

0x401c3823 in gtk_idle_add_priority () from /usr/lib/libgtk-1.2.so.0

#4

0x401834fb in gtk_container_queue_resize () from /usr/lib/libgtk-1.2.so.0

#5  0x402230fe in gtk_widget_queue_resize () from /usr/lib/libgtk-1.2.so.0

#6  0x401ec94a in gtk_scrolled_window_adjustment_changed ()

   from

/usr/lib/libgtk-1.2.so.0

#7  0x401c419d in gtk_marshal_NONE__NONE () from

/usr/lib/libgtk-1.2.so.0

#8  0x401f1bed in gtk_handlers_run () from

/usr/lib/libgtk-1.2.so.0

#9  0x401f1032 in gtk_signal_real_emit () from

/usr/lib/libgtk-1.2.so.0

#10 0x401ef4a9 in gtk_signal_emit_by_name () from

/usr/lib/libgtk-1.2.so.0

#11 0x40178172 in adjust_adjustments () from

/usr/lib/libgtk-1.2.so.0

#12 0x40176e42 in gtk_clist_size_allocate () from

/usr/lib/libgtk-1.2.so.0

#13 0x401c3fc5 in gtk_marshal_NONE__POINTER ()

from /usr/lib/libgtk-1.2.so.0

#14 0x401f0eeb in gtk_signal_real_emit ()

from /usr/lib/libgtk-1.2.so.0

#15 0x401ef185 in gtk_signal_emit () from

/usr/lib/libgtk-1.2.so.0

#16 0x402238b8 in gtk_widget_size_allocate () from

/usr/lib/libgtk-1.2.so.0

#17 0x401ec53f in

gtk_scrolled_window_size_allocate ()

   from /usr/lib/libgtk-1.2.so.0

#18

0x401c3fc5 in gtk_marshal_NONE__POINTER () from /usr/lib/libgtk-1.2.so.0

#19 0x401f0eeb in gtk_signal_real_emit () from /usr/lib/libgtk-1.2.so.0

#20

0x401ef185 in gtk_signal_emit () from /usr/lib/libgtk-1.2.so.0

#21

0x402238b8 in gtk_widget_size_allocate () from /usr/lib/libgtk-1.2.so.0

#22

0x40202117 in gtk_table_size_allocate_pass2 ()

   from

/usr/lib/libgtk-1.2.so.0

#23 0x40200d74 in gtk_table_size_allocate () from

/usr/lib/libgtk-1.2.so.0

#24 0x401c3fc5 in gtk_marshal_NONE__POINTER ()

from /usr/lib/libgtk-1.2.so.0

#25 0x401f0eeb in gtk_signal_real_emit ()

from /usr/lib/libgtk-1.2.so.0

#26 0x401ef185 in gtk_signal_emit () from

/usr/lib/libgtk-1.2.so.0

#27 0x402238b8 in gtk_widget_size_allocate () from

/usr/lib/libgtk-1.2.so.0

#28 0x401838c5 in gtk_container_resize_children ()

   from /usr/lib/libgtk-1.2.so.0

#29 0x4022cca3 in gtk_window_move_resize

() from /usr/lib/libgtk-1.2.so.0

#30 0x4022c5d6 in gtk_window_check_resize

() from /usr/lib/libgtk-1.2.so.0

#31 0x401c419d in gtk_marshal_NONE__NONE

() from /usr/lib/libgtk-1.2.so.0

#32 0x401f106b in gtk_signal_real_emit ()

from /usr/lib/libgtk-1.2.so.0

#33 0x401ef185 in gtk_signal_emit () from

/usr/lib/libgtk-1.2.so.0

#34 0x401835f8 in gtk_container_check_resize ()

from /usr/lib/libgtk-1.2.so.0

#35 0x401832ef in gtk_container_idle_sizer ()

from /usr/lib/libgtk-1.2.so.0

#36 0x403adbd9 in g_idle_dispatch () from

/usr/lib/libglib-1.2.so.0

#37 0x403acbe6 in g_main_dispatch () from

/usr/lib/libglib-1.2.so.0

#38 0x403ad1a1 in g_main_iterate () from

/usr/lib/libglib-1.2.so.0

#39 0x403ad341 in g_main_run () from

/usr/lib/libglib-1.2.so.0

#40 0x401c2859 in gtk_main () from

/usr/lib/libgtk-1.2.so.0

#41 0x8049b2c in main (argc=1, argv=0xbffff6c4) at

gfontsel.c:284





--- test two ---



#0  0x4021f169 in gtk_widget_get_type () from /usr/lib/libgtk-1.2.so.0

#1

0x4022344b in gtk_widget_size_request () from /usr/lib/libgtk-1.2.so.0

#2

0x401ebe19 in gtk_scrolled_window_size_request ()

   from

/usr/lib/libgtk-1.2.so.0

#3  0x401c3fc5 in gtk_marshal_NONE__POINTER ()

from /usr/lib/libgtk-1.2.so.0

#4  0x401f0eeb in gtk_signal_real_emit ()

from /usr/lib/libgtk-1.2.so.0

#5  0x401ef185 in gtk_signal_emit () from

/usr/lib/libgtk-1.2.so.0

#6  0x402234c8 in gtk_widget_size_request () from

/usr/lib/libgtk-1.2.so.0

#7  0x402010cc in gtk_table_size_request_init ()

from /usr/lib/libgtk-1.2.so.0

#8  0x40200c01 in gtk_table_size_request ()

from /usr/lib/libgtk-1.2.so.0

#9  0x401c3fc5 in gtk_marshal_NONE__POINTER

() from /usr/lib/libgtk-1.2.so.0

#10 0x401f0eeb in gtk_signal_real_emit ()

from /usr/lib/libgtk-1.2.so.0

#11 0x401ef185 in gtk_signal_emit () from

/usr/lib/libgtk-1.2.so.0

#12 0x402234c8 in gtk_widget_size_request () from

/usr/lib/libgtk-1.2.so.0

#13 0x402190ef in gtk_vbox_size_request () from

/usr/lib/libgtk-1.2.so.0

#14 0x401c3fc5 in gtk_marshal_NONE__POINTER ()

from /usr/lib/libgtk-1.2.so.0

#15 0x401f0eeb in gtk_signal_real_emit ()

from /usr/lib/libgtk-1.2.so.0

#16 0x401ef185 in gtk_signal_emit () from

/usr/lib/libgtk-1.2.so.0

#17 0x402234c8 in gtk_widget_size_request () from

/usr/lib/libgtk-1.2.so.0

#18 0x401ccf0e in gtk_notebook_size_request ()

from /usr/lib/libgtk-1.2.so.0

#19 0x401c3fc5 in gtk_marshal_NONE__POINTER

() from /usr/lib/libgtk-1.2.so.0

#20 0x401f0eeb in gtk_signal_real_emit ()

from /usr/lib/libgtk-1.2.so.0

#21 0x401ef185 in gtk_signal_emit () from

/usr/lib/libgtk-1.2.so.0

#22 0x402234c8 in gtk_widget_size_request () from

/usr/lib/libgtk-1.2.so.0

#23 0x402190ef in gtk_vbox_size_request () from

/usr/lib/libgtk-1.2.so.0

#24 0x401c3fc5 in gtk_marshal_NONE__POINTER ()

from /usr/lib/libgtk-1.2.so.0

#25 0x401f0eeb in gtk_signal_real_emit ()

from /usr/lib/libgtk-1.2.so.0

#26 0x401ef185 in gtk_signal_emit () from

/usr/lib/libgtk-1.2.so.0

#27 0x402234c8 in gtk_widget_size_request () from

/usr/lib/libgtk-1.2.so.0

#28 0x402190ef in gtk_vbox_size_request () from

/usr/lib/libgtk-1.2.so.0

#29 0x401c3fc5 in gtk_marshal_NONE__POINTER ()

from /usr/lib/libgtk-1.2.so.0

#30 0x401f0eeb in gtk_signal_real_emit ()

from /usr/lib/libgtk-1.2.so.0

#31 0x401ef185 in gtk_signal_emit () from

/usr/lib/libgtk-1.2.so.0

#32 0x402234c8 in gtk_widget_size_request () from

/usr/lib/libgtk-1.2.so.0

#33 0x401aaade in gtk_frame_size_request () from

/usr/lib/libgtk-1.2.so.0

#34 0x401c3fc5 in gtk_marshal_NONE__POINTER ()

from /usr/lib/libgtk-1.2.so.0

#35 0x401f0eeb in gtk_signal_real_emit ()

from /usr/lib/libgtk-1.2.so.0

#36 0x401ef185 in gtk_signal_emit () from

/usr/lib/libgtk-1.2.so.0

#37 0x402234c8 in gtk_widget_size_request () from

/usr/lib/libgtk-1.2.so.0

#38 0x4022b99b in gtk_window_size_request () from

/usr/lib/libgtk-1.2.so.0

#39 0x401c3fc5 in gtk_marshal_NONE__POINTER ()

from /usr/lib/libgtk-1.2.so.0

#40 0x401f0eeb in gtk_signal_real_emit ()

from /usr/lib/libgtk-1.2.so.0

#41 0x401ef185 in gtk_signal_emit () from

/usr/lib/libgtk-1.2.so.0

#42 0x402234c8 in gtk_widget_size_request () from

/usr/lib/libgtk-1.2.so.0

#43 0x4022c99c in gtk_window_move_resize () from

/usr/lib/libgtk-1.2.so.0

#44 0x4022c5d6 in gtk_window_check_resize () from

/usr/lib/libgtk-1.2.so.0

#45 0x401c419d in gtk_marshal_NONE__NONE () from

/usr/lib/libgtk-1.2.so.0

#46 0x401f106b in gtk_signal_real_emit () from

/usr/lib/libgtk-1.2.so.0

#47 0x401ef185 in gtk_signal_emit () from

/usr/lib/libgtk-1.2.so.0

#48 0x401835f8 in gtk_container_check_resize ()

from /usr/lib/libgtk-1.2.so.0

#49 0x401832ef in gtk_container_idle_sizer ()

from /usr/lib/libgtk-1.2.so.0

#50 0x403adbd9 in g_idle_dispatch () from

/usr/lib/libglib-1.2.so.0

#51 0x403acbe6 in g_main_dispatch () from

/usr/lib/libglib-1.2.so.0

#52 0x403ad1a1 in g_main_iterate () from

/usr/lib/libglib-1.2.so.0

#53 0x403ad341 in g_main_run () from

/usr/lib/libglib-1.2.so.0

#54 0x401c2859 in gtk_main () from

/usr/lib/libgtk-1.2.so.0

#55 0x8049b90 in main ()

#56 0x404081eb in

__libc_start_main (main=0x8049ad0 <main>, argc=1,

    argv=0xbffff724,

init=0x8048fe4 <_init>, fini=0x8049bcc <_fini>,

    rtld_fini=0x4000a610

<_dl_fini>, stack_end=0xbffff71c)

    at ../sysdeps/generic/libc-start.c:90
Comment 1 Owen Taylor 2000-02-04 16:48:59 EST
I can't reproduce this exact bug, but I believe that this may
be the same problem that was causing guname to go into infinite
resize loops when you adjust the column division in the
main screen. I've fixed that bug in the latest GTK+ package,
so hopefully that fixes this one too.

Note You need to log in before you can comment on or make changes to this bug.